﻿using FluentValidation;
using System;
using System.Collections.Generic;
using System.Text;

namespace Performance.DtoModels
{
    /// <summary>
    /// 登录请求
    /// </summary>
    public class SetHospitalRequest : ApiRequest
    {
        public int UserID { get; set; }
        public int[] HosIDArray { get; set; }
    }

    public class SetHospitalRequestValidator : AbstractValidator<SetHospitalRequest>
    {
        public SetHospitalRequestValidator()
        {
            RuleFor(x => x.UserID).GreaterThan(0);
        }
    }
}
